%global commit 2a58d7fb349de3062dea61b0fb072f8e7370dde6
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           atanua
Version:        1.3.141220
Release:        1%{?dist}
Summary:        Real Time Logic Simulator

Group:          Applications/Engineering
License:        zlib and Bitstream Vera
# atanua: zlib
# vera fonts: Bitstream Vera
URL:            http://sol.gfxile.net/atanua/
Source0:        https://github.com/jarikomppa/atanua/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        http://sol.gfxile.net/zip/atanua141220.zip
Source2:        atanua.desktop
Source3:        x-atanua-simulation.xml

# https://github.com/jarikomppa/atanua/pull/4
Patch1:         0001-Don-t-crash-on-file-open-failures.patch
Patch2:         0002-Check-the-correct-pointer-for-NULL.patch
Patch3:         0003-A-bit-better-error-handling.patch
Patch4:         0004-Fix-Linux-build.patch
Patch5:         0005-Allow-builds-without-bundling-the-libraries.patch
Patch6:         0006-Allow-overriding-the-data-directory-on-build.patch
Patch7:         0007-Rename-TiXmlNode-ELEMENT-and-TEXT.patch
Patch8:         atanua-fix-build.patch

BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  tinyxml-devel
BuildRequires:  stbi-devel
BuildRequires:  GLee-devel
BuildRequires:  gcc-c++

%description
Atanua is a real-time logic simulator, designed to help in learning of basic 
boolean logic and electronics. It uses OpenGL hardware-accelerated rendering 
and a custom UI designed for a fast workflow and a very low learning curve, 
letting the students concentrate on learning the subject instead of spending 
time learning the tool.


%prep
%setup -q -n %{name}-%{commit} -a1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1


%build
make %{?_smp_mflags} CFLAGS='%{optflags} -DDATADIR=\"%{_datadir}/atanua\"' \
        CC=%{__cc} CXX=%{__cxx} UNBUNDLE=1


%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}
install -d %{buildroot}%{_datadir}/mime/packages
install -d %{buildroot}%{_datadir}/pixmaps

install atanua %{buildroot}%{_bindir}
cp -a data %{buildroot}%{_datadir}/atanua
cp -a data/icon.png %{buildroot}%{_datadir}/pixmaps/atanua.png

install -pm644 %{SOURCE3} %{buildroot}%{_datadir}/mime/packages/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}


%post
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null || :
    
    
%postun
if [ $1 -eq 0 ]
then
        /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi


%posttrans
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files
%{_bindir}/atanua
%{_datadir}/atanua
%{_datadir}/applications/atanua.desktop
%{_datadir}/mime/packages/x-atanua-simulation.xml
%{_datadir}/pixmaps/atanua.png
%doc readme.md
%license LICENSE
%license data/vera_copyright.txt


%changelog
* Sat Nov 14 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.3.141220-1
- Initial packaging
